Data.Aeson.Types

# Core JSON types

data Value

type Array

emptyArray

type Pair

type Object

emptyObject

# Convenience types and functions

data DotNetTime

typeMismatch

# Type conversion

data Parser a

data Result a

class FromJSON a

fromJSON

parse

parseEither

parseMaybe

class ToJSON a

modifyFailure

## Generic JSON classes

class GFromJSON f

class GToJSON f

genericToJSON

genericParseJSON

# Inspecting ``Value`s`

withObject

withText

withArray

withNumber

withBool

# Constructors and accessors

(.=)

(.:)

(.:?)

(.!=)

object

# Generic and TH encoding configuration

data Options

data SumEncoding

defaultOptions

defaultTaggedObject